<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:layout_marginStart="14dp"
    android:layout_marginTop="12dp"
    android:layout_marginEnd="14dp"
    android:background="@drawable/bg_white_10dp"
    android:paddingStart="11dp"
    android:paddingEnd="11dp"
    android:paddingBottom="16dp">

    <com.cooleshow.base.widgets.QMUIRadiusImageView
        android:id="@+id/iv_avatar"
        android:layout_width="47dp"
        android:layout_height="51dp"
        android:layout_marginTop="19dp"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        app:qmui_corner_radius="5dp" />


    <TextView
        android:id="@+id/tv_title"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="10dp"
        android:layout_marginTop="5dp"
        android:includeFontPadding="false"
        android:textColor="@color/color_1a1a1a"
        android:textSize="@dimen/sp_16"
        android:textStyle="bold"
        app:layout_constraintLeft_toRightOf="@+id/iv_avatar"
        app:layout_constraintTop_toTopOf="@+id/iv_avatar"
        tools:text="张豆豆" />

    <TextView
        android:id="@+id/tv_course_name"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="5dp"
        android:background="@drawable/shape_couse_type_text_bg"
        android:gravity="center"
        android:includeFontPadding="false"
        android:paddingStart="4dp"
        android:paddingTop="2dp"
        android:paddingEnd="4dp"
        android:paddingBottom="2dp"
        android:textColor="@color/color_ff8c00"
        android:textSize="@dimen/sp_11"
        app:layout_constraintBottom_toBottomOf="@+id/tv_title"
        app:layout_constraintLeft_toRightOf="@+id/tv_title"
        app:layout_constraintTop_toTopOf="@+id/tv_title"
        tools:text="单簧管" />

    <RatingBar
        android:id="@+id/rating_bar_for_student"
        style="@style/HomeRatingBar"
        android:layout_width="wrap_content"
        android:layout_height="19dp"
        android:numStars="5"
        android:rating="3"
        android:stepSize="1"
        android:visibility="visible"
        app:layout_constraintBottom_toBottomOf="@+id/tv_title"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toTopOf="@+id/tv_title" />


    <ImageView
        android:id="@+id/iv_clock_icon"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="11dp"
        android:src="@drawable/icon_clock"
        app:layout_constraintBottom_toBottomOf="@+id/iv_avatar"
        app:layout_constraintLeft_toLeftOf="@+id/tv_title" />

    <TextView
        android:id="@+id/tv_time"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="6dp"
        android:includeFontPadding="false"
        android:textColor="@color/color_666666"
        android:textSize="@dimen/sp_13"
        app:layout_constraintBottom_toBottomOf="@+id/iv_clock_icon"
        app:layout_constraintLeft_toRightOf="@+id/iv_clock_icon"
        app:layout_constraintTop_toTopOf="@+id/iv_clock_icon"
        tools:text="2021/09/17 14:00~14:25" />

    <TextView
        android:id="@+id/tv_comment_content"
        android:layout_marginTop="14dp"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:includeFontPadding="false"
        android:textColor="@color/color_333333"
        android:textSize="@dimen/sp_13"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/iv_avatar"
        tools:text="老师非常有耐心，一个小节一个小节的帮助我抠细节，之前我觉得这首曲子我已经练得不错了，但是经过老师的指点后发现自己还有很多不足之处，现在再吹这首曲子明显更有表现力了！" />
</androidx.constraintlayout.widget.ConstraintLayout>